Summary: Complementary and updated manual pages
Name: man-pages-overrides
Version: 6.4.1
Release: 1%{?dist}
# man - GPLv2
License: GPLv2
Group: Documentation
# there is no public download location for this package
Source0: man-pages-overrides-%{version}.tar.gz
Patch4: 657563-mpo-2.0-findutils.patch
Patch8: 619779-mpo-2.0-lftp.patch
Patch11: 615873-mpo-2.1-w3m.patch
Patch12: 675213-mpo-2.1-usermode.patch
Patch21: 712256-mpo-6.2.0-volume_key.patch
Patch22: 709274-mpo-6.2.0-ntp-ntpq.patch
Patch23: 709058-mpo-6.2.0-ntp-ntp-keygen.patch
Patch28: 730042-mpo-6.2.2-cpufrequtils.patch
Patch30: 731690-mpo-6.2.2-ecryptfs-utils.patch
Patch37: 801742-mpo-6.3.2-keyutils.patch
Patch42: 766341-mpo-6.3.2-libcgroup.patch
Patch43: 801783-mpo-6.3.2-ebtables.patch
Patch45: 653908-mpo-6.3.2-setools.patch
Patch46: 872526-mpo-6.4.1-dump.patch
Patch47: 853959-mpo-6.4.1-rng-tools.patch
Patch48: 867332-mpo-6.4.1-shadow-utils.patch
Patch49: 806845-mpo-6.4.1-dmidecode.patch
Patch50: 845657-mpo-6.4.1-numactl.patch
Patch51: 814417-mpo-6.4.1-tigervnc.patch
Patch52: 846591-mpo-6.4.1-ipmitool.patch
Buildroot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch: noarch
Requires: man >= 1.6f-24

%description
A collection of manual ("man") pages to complement other packages or update
those contained therein. Always have the latest version of this package
installed.

%prep
%setup -q -n %{name}-%{version}
%patch4 -p1
%patch8 -p1
%patch11 -p1
%patch12 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch28 -p1
%patch30 -p1
%patch37 -p1
%patch42 -p1
%patch43 -p1
%patch45 -p1
%patch46 -p1
%patch47 -p1
%patch48 -p1
%patch49 -p1
%patch50 -p1
%patch51 -p1
%patch52 -p1

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_mandir}/overrides
mkdir -p $RPM_BUILD_ROOT%{_docdir}
for i in `ls`; do
    if [ -d $i ]
    then
        for j in `ls $i`; do
           if [ -d $i/$j ]
           then
               mkdir -p $RPM_BUILD_ROOT%{_mandir}/overrides/$j
               for k in `ls $i/$j`; do
                   if [ -d $i/$j/$k ]
                   then
                       mkdir -p $RPM_BUILD_ROOT%{_mandir}/overrides/$j/$k
                       cp -f $i/$j/$k/* $RPM_BUILD_ROOT%{_mandir}/overrides/$j/$k
                       gzip $RPM_BUILD_ROOT%{_mandir}/overrides/$j/$k/*
                   else
                       cp -f $i/$j/* $RPM_BUILD_ROOT%{_mandir}/overrides/$j
                   fi
               done
           else
              mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/$i
              cp $i/$j $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/$i
           fi
        done
    fi
done


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}
%{_mandir}/overrides

%changelog
* Thu Dec  6 2012 Peter Schiffer <pschiffe@redhat.com> 6.4.1-1
- resolves: #872526
  mentioned ext4 support in dump(8) man page
- resolves: #853959
  added missing --no-tpm option in rngd(8) man page
- resolves: #867332
  mentioned that groupmems command is not setuid in groupmems(8) man page
- resolves: #849201
  added missing alsaunmute(1) man page
- resolves: #806845
  updated dmidecode(8) man page
- resolves: #845657
  updated description of localalloc option on the numactl(8) man page
- resolves: #814417
  updated vnc documentation for -SecurityTypes option
- resolves: #846591
  added missing options to the ipmitool(1) man page

* Mon Oct 15 2012 Peter Schiffer <pschiffe@redhat.com> 6.4.0-1
- resolves: #866386
  mpo remove tracker
- removed bug fixed in original component: #676355
- removed bug fixed in original component: #714073
- removed bug fixed in original component: #714074
- removed bug fixed in original component: #714075
- removed bug fixed in original component: #714078
- removed bug fixed in original component: #729984
- removed bug fixed in original component: #735789
- removed bug fixed in original component: #745152
- removed bug fixed in original component: #745501
- removed bug fixed in original component: #745521
- removed bug fixed in original component: #745733
- removed bug fixed in original component: #799958
- removed bug fixed in original component: #809108
- removed bug fixed in original component: #809117
- removed bug fixed in original component: #809139
- removed bug fixed in original component: #809144
- removed bug fixed in original component: #809564
- removed bug fixed in original component: #820183
- removed bug fixed in original component: #690800
- renamed all patches to include bug id

* Wed May 09 2012 Peter Schiffer <pschiffe@redhat.com> 6.3.3-1
- related: #528879
  fixed name section in the unsquashfs.1 man page
- resolves: #529335
  added missing pages: fusermount.1, ulockmgr_server.1 and mount.fuse.8
- resolves: #810910
  mount(8) man page should include relatime in defaults definition

* Fri Apr 06 2012 Peter Schiffer <pschiffe@redhat.com> 6.3.2-1
- resolves: #745467
  added manual page for pkcs_slot
- resolves: #801742
  fixed redundant "works" word in request-key.conf man page
- resolves: #695363
  added description of auditing support to the iptables and ip6tables man pages
- resolves: #801784
  fixed typo in the yum man page
- resolves: #747970
  added description of -D option to the lsblk man page
- resolves: #769566
  fixed description of --group-info option in the wbinfo man page
- resolves: #766341
  removed -s option from cgcreate man page
- resolves: #801783
  added description of auditing support to the ebtables man page
- resolves: #800256
  added description of EIDRM error to the shmop man page
- resolves: #653908
  added missing options to the replcon man page
- Removed bug fixed in original component: #737990

* Tue Mar 06 2012 Peter Schiffer <pschiffe@redhat.com> 6.3.1-1
- resolves: #605521
  added manual page for urlgrabber
- resolves: #768949
  updated info about trapt in bash manual page
- resolves: #528879
  added missing pages: mksquashfs.1 and unsquashfs.1
- Removed bug fixed in original component: #659646
- Removed bug fixed in original component: #659705
- Removed bug fixed in original component: #659713
- Removed bug fixed in original component: #659720
- Removed bug fixed in original component: #674864
- Removed bug fixed in original component: #674866
- Removed bug fixed in original component: #676636
- Removed bug fixed in original component: #676643
- Removed bug fixed in original component: #714086
- Removed bug fixed in original component: #745133

* Tue Oct 18 2011 Peter Schiffer <pschiffe@redhat.com> 6.2.3-2
- related: #694860
  Rewritten patch for nsswitch.conf man page

* Thu Oct 13 2011 Peter Schiffer <pschiffe@redhat.com> 6.2.3-1
- resolves: #740670
  vsftpd: documentation for 'max_per_ip' default setting is wrong
- resolves: #717770
  Need single-request-reopen option documented for resolv.conf
- resolves: #742098
  Update description of timeo in nfs(5) manpage
- resolves: #694860
  No mention of sssd in nsswitch.conf man page
- resolves: #723791
  Lack of UMOUNT_NOFOLLOW flag description in umount(2)
- resolves: #728416
  [RFE] net: backport sendmmsg syscall [Manpage request]

* Wed Sep 14 2011 Peter Schiffer <pschiffe@redhat.com> 6.2.2-1
- resolves: #727526
  Typo in man curl manpage
- resolves: #730042
  Add missing man page for cpufreq-aperf and fixed cpufreq-set man page
- resolves: #602228
  bridge-utils missing documentation in manpage for RFE 574461
- resolves: #731690
  Man ecryptfs contains invalid link in SEE ALSO section
- resolves: #734836
  Document that realtime clock functions need to link with -lrt
- resolves: #656245
  Fixed incorrect link from previous release
- resolves: #690187
  Added license file for man pages from man-pages package
  Removed bug fixed in original component: #659740
  Added license file for man page from x86info package

* Fri Jul 8 2011 Ivana Hutarova Varekova <varekova@redhat.com> 6.2.1-1
- resolves: #698151
  Remove documentation for "order" keyword in /etc/host.conf manpage
- resolves: #688543
  Several lsvpd tools options not documented in man page
- resolves: #674423
  man page for recvmmsg added
- resolves: #656245
  add fattach.2 link to uninplemented
- resolves: #719902
  Remove bug fixed in original component: #674870
  Remove bug fixed in original component: #674878
  Remove bug fixed in original component: #677541
  Remove bug fixed in original component: #677542
  Remove bug fixed in original component: #690801
  Remove bug fixed in original component: #674883

* Fri Jul 8 2011 Ivana Hutarova Varekova <varekova@redhat.com> 6.2.0-1
- resolves: #712256
  Typo in volume_key manpage
- resolves: #709274
  ntpq(8) manpage fixes
- resolves: #709058
  ntp-keygen(8) manpage fixes
- resolves: #615897
  Added missing man page for/usr/sbin/lsmsr in x86info package
- resolves: #690187
  New man pages for cciss + hpsa modules

* Wed Apr 13 2011 Ivana Hutarova Varekova <varekova@redhat.com> 2.5-1
- related: #676483
  remove the man pages, they are already fixed in nss-pam-ldap package

* Tue Apr 12 2011 Ivana Hutarova Varekova <varekova@redhat.com> 2.4-1
- related: #604626
  add forgotten patch
- related: #632081
  fix the encoding
- related: #644308
  fix the typo
- related: #650162
  fix the patch text
- related: #676483

* Thu Mar 31 2011 Ivana Hutarova Varekova <varekova@redhat.com> 2.3-1
- resolves: #676483
  nss-pam-ldapd: troff syntax error in the man page of nslcd

* Fri Mar 25 2011 Ivana Hutarova Varekova <varekova@redhat.com> 2.2-1
- resolves: #675223
  locate(1) manpage fixes
- resolves: #676540
  magic(5) manpage fixes

* Thu Feb 10 2011 Ivana Hutarova Varekova <varekova@redhat.com> 2.1-1
- resolves: #615873
  Man w3m is stating incorrect program version (package w3m)
- resolves: #675213
  userpasswd(1) manpage fix (package usermode)
- resolves: #675688
  pcretest(1) manpage fixes (package pcre)
- resolves: #675682
  pcregrep(1) manpage fixes (package pcre)
- resolves: #636785
  "semanage module" is not mentioned in semanage man page (package policycoreutils)
- resolves: #540492
  8 options are not described in semanage man page (package policycoreutils)

* Tue Feb  8 2011 Ivana Hutarova Varekova <varekova@redhat.com> 2.0-1
- resolves: #658734
  setacl(1) man page bug (package acl)
- resolves: #651120
  setfattr(1) man page bug (package attr)
- resolves: #615905
  ospfclient(8) and watchquagga(8) man pages added (package quagga)
- resolves: #633701
  expect(1) man page is bad formatted (package expect)
- resolves: #650162
  useradd(8) man page bug (package shadow-utils)
- resolves: #657563
  Manual page corrections for find(1) (package findutils)
- resolves: #632081
  man(1) for Japanese manual page contains duplicated lines in PAGER explanation
  (package man)
- resolves: #604626
  yum-verify man page uses 'pretty' quotes in examples (package yum-utils)
- resolves: #622451
  Author info is wrong in man page (package logrotate)
- resolves: #638625
  Ambiguity in logrotate man page (package logrotate)
- resolves: #644308
  manpage not in sync with options logrotate actually recognizes (package logrotate)
- resolves: #613979
  dftest and randpkt does not have a man page (package wireshark)
- resolves: #619779
  lftp(1) option xfer:auto-rename not documented (package lftp)
- resolves: #673968
  logrotate(8) manpage typo patch (package logrotate)

* Mon Oct 19 2009 Ivana Varekova <varekova@redhat.com> 1.0-1
- made a initial package
